image: node:13.4.0

stages:
  - deploy
build-site:
  stage: deploy
  before_script:
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - echo "$SSH_KEY" >> ~/.ssh/id_rsa
    - chmod 400 ~/.ssh/id_rsa
    - apt update
    - apt install -y rsync
  script:
    - npm install
    - npm run sass
    - npx eleventy
    - ssh -o "StrictHostKeyChecking=no" -p $SCP_PORT $SCP_USER@$SCP_IP "rm -rf /home/$SCP_USER/blog-old"
    - ssh -o "StrictHostKeyChecking=no" -p $SCP_PORT $SCP_USER@$SCP_IP "mkdir -p /home/$SCP_USER/blog-old"
    - ssh -o "StrictHostKeyChecking=no" -p $SCP_PORT $SCP_USER@$SCP_IP "mv /home/$SCP_USER/blog/* /home/$SCP_USER/blog-old"
    - rsync -r -e "ssh -o 'StrictHostKeyChecking=no' -p $SCP_PORT" _site/* $SCP_USER@$SCP_IP:/home/$SCP_USER/blog

  artifacts:
    paths:
      - _site
    expire_in: 1 week
